전역(Globals)

전역에 대한 REST API 작업

개요

다음 API 작업을 사용하여 상호작용하세요 글로벌 헬퍼 함수 Panther에서 ("글로벌 헬퍼" 및 단순히 "글로벌"이라고도 함).

API를 호출하려면, Panther REST API 사용 방법 지침을 참조하세요—포함하여 이 문서 페이지에서 직접 호출하는 방법에 대한 지침.

필수 권한

  • 에 대해 GET 작업의 경우, API 토큰에는 룰 보기 또는 정책 보기 권한이 있어야 합니다.

  • 에 대해 POST, PUTDELETE 작업의 경우, API 토큰에는 룰 관리 또는 정책 관리 권한이 있어야 합니다.

작업

create global

post
Authorizations
X-API-KeystringRequired
Body
bodystringRequired

The python body of the global

descriptionstringOptional

The description of the global

idstringRequired

The id of the global

tagsstring[]Optional

The tags for the global

Responses
chevron-right
200

OK response.

application/json
bodystringOptional

The python body of the global

createdAtstringOptional
descriptionstringOptional

The description of the global

idstringOptional

The id of the global

lastModifiedstringOptional
tagsstring[]Optional

The tags for the global

post
/globals

get global

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the global to fetch

Responses
chevron-right
200

OK response.

application/json
bodystringOptional

The python body of the global

createdAtstringOptional
descriptionstringOptional

The description of the global

idstringOptional

The id of the global

lastModifiedstringOptional
tagsstring[]Optional

The tags for the global

get
/globals/{id}

put global

put

put creates or updates a global

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

The id of the global

Body
bodystringRequired

The python body of the global

descriptionstringOptional

The description of the global

tagsstring[]Optional

The tags for the global

Responses
chevron-right
200

200 returned if the item already existed

application/json
put
/globals/{id}

delete global

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the global to delete

Responses
delete
/globals/{id}

No content

list globals

get
Authorizations
X-API-KeystringRequired
Query parameters
cursorstringOptional

the pagination token

limitinteger · int64Optional

the maximum results to return

Default: 100
name-containsstringOptional

Substring search by name (case-insensitive)

created-bystringOptional

Only include rules whose creator matches this user ID or actor ID

last-modified-bystringOptional

Only include rules last modified by this user ID or actor ID

Responses
chevron-right
200

OK response.

application/json
nextstringOptional

pagination token for the next page of results

get
/globals
200

OK response.

마지막 업데이트

도움이 되었나요?